HP OpenVMS Systems

ask the wizard
Content starts here

Problems after Java 1.3.1 Upgrade?

» close window

The Question is:

I have installed the Java SDK 1.3.1 for VMS Alpha from this site. Now my java
 programs do not work properly with the V1.3.1 JRE, although when I invoke the
 old V1.1.8 JRE my programs work fine.
The symptoms are this:
If I invoke JAVA$131_SETUP.COM in plain vanilla mode, about the only thing I
 can get java or javac to do is give me a message about being out of memory.
If I invoke JAVA$131_SETUP.COM with the FAST parameter, javac seems to work OK,
 but none of my .class files will execute properly, even those that were
 compiled under the old version. The java command runs silently--that is, with
 no output whatsoever, eve
n with a simple "Hello world" program using System.out.println().
Any ideas?

The Answer is :

  Please ensure that you have the required OpenVMS ECO kits installed,
  minimally -- the installation of all current mandatory ECO kits would
  be (is) strongly recommended.  If you have the current kits installed,
  please contact the customer support center for assistance.
  Information on ECO kits is listed at the Java website, and the URL for
  the Java website and for an ECO search engine are both referenced in
  the OpenVMS FAQ.

answer written or last revised on ( 13-JAN-2003 )

» close window